Subject: Re: bash problems with sshd
From: [email-masked] (Andres Heinloo)

28 Nov 1998 19:07:37 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Dirk Hufnagel <[email-masked]>
Cc: [email-masked]

On 24 Nov 1998, Dirk Hufnagel wrote:

> I am using sshd 1.2.26 with B20 and the 
> coolview patches.
> 
> Now I have the problem that .bashrc doesn't get 
> loaded when I login with "slogin NT-host".

Sshd executes bash as a login shell. Bash manpage says:

       Login shells:
         On login (subject to the -noprofile option):
               if /etc/profile exists, source it.

               if ~/.bash_profile exists, source it,
                 else if ~/.bash_login exists, source it,
                   else if ~/.profile exists, source it.

         On exit:
               if ~/.bash_logout exists, source it.

       Non-login interactive shells:
         On startup (subject to the -norc and -rcfile options):
               if ~/.bashrc exists, source it.

I am using the '-login' flag to bash in cygnus.bat. Then I have system 
wide settings in /etc/profile and my personal ones in ~/.profile. It also
works with sshd.

Andres.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".